Commit 07793896 authored by Vishal Joshi's avatar Vishal Joshi

TRM-24657 Remove API incompatibility of jaxb2 plugin

Update maven-jaxb2-plugin to 0.14.0 but it caused API incompatibility with jaxb2-rich-contract-plugin. Updating jaxb2-rich-contract-plugin to 2.0.1 resolves the issue
parent 7eb94104
......@@ -43,13 +43,14 @@
<guava.version>23.0</guava.version>
<slf4j.version>1.7.25</slf4j.version>
<junit.version>5.5.2</junit.version>
<maven-jaxb.version>0.13.3</maven-jaxb.version>
<maven-jaxb.version>0.14.0</maven-jaxb.version>
<javax-activation.version>1.1</javax-activation.version>
<jaxb.version>2.3.0</jaxb.version>
<jaxb2-basics.version>0.7.0</jaxb2-basics.version>
<jaxb-basics-annotate.version>1.0.4</jaxb-basics-annotate.version>
<jaxb-default-value.version>1.1</jaxb-default-value.version>
<jaxb-rich-contract.version>1.18.0</jaxb-rich-contract.version>
<jaxb2-rich-contract-plugin.version>2.0.1</jaxb2-rich-contract-plugin.version>
<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
<maven-surefire-plugin.version>3.0.0-M3</maven-surefire-plugin.version>
<maven-failsafe-version>3.0.0-M3</maven-failsafe-version>
......@@ -269,6 +270,15 @@
<groupId>org.jvnet.jaxb2.maven2</groupId>
<artifactId>maven-jaxb2-plugin</artifactId>
<version>${maven-jaxb.version}</version>
<configuration>
<plugins>
<plugin>
<groupId>net.codesup.util</groupId>
<artifactId>jaxb2-rich-contract-plugin</artifactId>
<version>${jaxb2-rich-contract-plugin.version}</version>
</plugin>
</plugins>
</configuration>
<dependencies>
<dependency>
<groupId>org.jvnet.jaxb2_commons</groupId>
......@@ -285,11 +295,6 @@
<artifactId>jaxb2-basics</artifactId>
<version>${jaxb2-basics.version}</version>
</dependency>
<dependency>
<groupId>net.codesup.util</groupId>
<artifactId>jaxb2-rich-contract-plugin</artifactId>
<version>${jaxb-rich-contract.version}</version>
</dependency>
</dependencies>
</plugin>
<plugin>
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment